### File

`src/app/shared/components/generic.component.ts`

### Index

###### Properties

- data

### Properties

data
`data: `T``
Type : `T`

    import { Component } from '@angular/core';

    interface Foo<T> {
        data: T;
    }

    @Component({
        selector: 'app-generic',
    })
    export class GenericComponent {
        title = 'generic-component';

        getData(foo: Foo<object>) {}
    }

# results matching ""

# No results matching ""